Page MenuHomePhabricator

Change extensions and skins that have extensionname-<extensionname> and skinname-<skinname> to <repositoryname>-extensionname
Closed, DeclinedPublic

Description

Please change extension and skins that have namemsg set like in this format and change

extensionname-<extensionname>

to

<repositoryname>-extensionname

Including skins.

Per https://www.mediawiki.org/wiki/Manual:$wgExtensionCredits#namemsg

Affected extensions: all fixed.

Skins:

  • apex
  • MonoBook
  • Metrolook
  • Nostalgia
  • Slate
  • Vector

Event Timeline

Paladox created this task.Sep 24 2015, 5:29 PM
Paladox raised the priority of this task from to Needs Triage.
Paladox updated the task description. (Show Details)
Paladox added a subscriber: Paladox.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2015, 5:29 PM
Paladox set Security to None.
Paladox added a subscriber: siebrand.

@siebrand could I add you please.

Paladox removed a subscriber: siebrand.Sep 24 2015, 5:30 PM
Paladox added a subscriber: siebrand.

Woops not sure how I added him since I only write the comment @siebrand.

Paladox removed a subscriber: siebrand.Sep 24 2015, 5:30 PM

Change 240760 had a related patch set uploaded (by Paladox):
Update i18n messages

https://gerrit.wikimedia.org/r/240760

siebrand updated the task description. (Show Details)Sep 24 2015, 5:44 PM
siebrand added a subscriber: siebrand.
siebrand renamed this task from Change extensions and skins that have extensionname-<extensionname> to <extensionname>-extensionname to Change extensions and skins that have extensionname-<extensionname> to <repositoryname>-extensionname .Sep 24 2015, 5:48 PM
siebrand updated the task description. (Show Details)
Paladox updated the task description. (Show Details)Sep 24 2015, 5:58 PM
Paladox updated the task description. (Show Details)

Change 240760 merged by jenkins-bot:
Update i18n messages

https://gerrit.wikimedia.org/r/240760

Thank you for doing that but doint the extensions that have translatewiki.net on have to have the messages updated there. Since some are optional.

Paladox renamed this task from Change extensions and skins that have extensionname-<extensionname> to <repositoryname>-extensionname to Change extensions and skins that have extensionname-<extensionname> and skinname-<skinname> to <repositoryname>-extensionname .Sep 25 2015, 5:20 PM
Paladox updated the task description. (Show Details)

Change 241088 had a related patch set uploaded (by Paladox):
Update namemsg to convention

https://gerrit.wikimedia.org/r/241088

Change 241089 had a related patch set uploaded (by Paladox):
Update namemsg to convention

https://gerrit.wikimedia.org/r/241089

Change 241091 had a related patch set uploaded (by Paladox):
Update namemsg to convention

https://gerrit.wikimedia.org/r/241091

Change 241093 had a related patch set uploaded (by Paladox):
Update namemsg to convention

https://gerrit.wikimedia.org/r/241093

Change 241094 had a related patch set uploaded (by Paladox):
Update namemsg to convention

https://gerrit.wikimedia.org/r/241094

Change 241095 had a related patch set uploaded (by Paladox):
Update namemsg to convention

https://gerrit.wikimedia.org/r/241095

Change 241088 merged by jenkins-bot:
Update namemsg to convention

https://gerrit.wikimedia.org/r/241088

Change 241089 merged by jenkins-bot:
Update namemsg to convention

https://gerrit.wikimedia.org/r/241089

Change 241093 merged by jenkins-bot:
Update namemsg to convention

https://gerrit.wikimedia.org/r/241093

Change 241094 merged by jenkins-bot:
Update namemsg to convention

https://gerrit.wikimedia.org/r/241094

Change 241095 merged by jenkins-bot:
Update namemsg to convention

https://gerrit.wikimedia.org/r/241095

Change 241091 merged by Siebrand:
Update namemsg to convention

https://gerrit.wikimedia.org/r/241091

Umherirrender closed this task as Declined.Oct 31 2017, 7:56 PM
Umherirrender added a subscriber: Umherirrender.

There is no need to enforce the name of message key in $wgExtensionCredits or extension.json